June 19, 2018, 01:24:09 PM

Author Topic: Gravikor requires mage = epic  (Read 1527 times)

Puddnhead

  • Member of Arcane Duels; MageCast Co-host
  • Playtester
  • Legendary Mage
  • *
  • Posts: 1442
  • Banana Stickers 7
    • View Profile
Gravikor requires mage = epic
« on: September 16, 2015, 10:01:59 AM »
Thank you for getting Domination added to the builder!

I was putting together a spellbook on the builder and when I tried to add Gravikor it gave me an error message: Required mage: Epic.  Pretty sure there was just a data entry error.
  • Favourite Mage: Salenia Forcemaster

Mystery

  • Playtester
  • Legendary Mage
  • *
  • Posts: 1856
  • Banana Stickers 0
    • View Profile
Re: Gravikor requires mage = epic
« Reply #1 on: September 16, 2015, 11:07:48 AM »
same on otehr epic domination cardds